Fiz hoje o upgrade de meu primeiro ambiente de produção de Zabbix 2.2 para Zabbix 2.4. Era um ambiente sem NODES e foi tudo bem.

O processo de upgrade:

  • Baixar os sources do Zabbix 2.4;
wget http://downloads.sourceforge.net/project/zabbix/ZABBIX%20Latest%20Stable/2.4.0/zabbix-2.4.0.tar.gz?r=http%3A%2F%2Fwww.zabbix.com%2Fdownload.php&ts=1410443092&use_mirror=ufpr
  • Descompactar;
tar -xzvf zabbix-2.4.0.tar.gz
  • Compilar binários (Server e Agent);
cd zabbix-2.4.0
./configure --enable-server --enable-agent --with-mysql --with-net-snmp  --with-jabber  --with-libcurl --with-openipmi
make install
  • Reiniciar processos do Zabbix;
service zabbix_agentd stop
service zabbix_agentd start
service zabbix_server stop
service zabbix_server start
  • Reiniciar o Apache (o dashboard não carregava dando erro interno… algum cache em memória;
service httpd stop
service httpd start

Após isso… autenticar e testar ! E Be fun !!!

 

 

6 thoughts on “Upgrade do Zabbix 2.2 para 2.4

  1. Opa!!

    Estou tendo esse problema após a instalação do zabbix 2.4:

    16170:20150929:151950.663 query [txnlev:0] [select userid from users limit 1]
    16170:20150929:151950.663 [Z3005] query failed: [0] PGRES_FATAL_ERROR:ERROR: relation “users” does not exist
    LINE 1: select userid from users limit 1
    ^
    [select userid from users limit 1]
    16170:20150929:151950.663 cannot select records from “users” table
    16170:20150929:151950.663 End of zbx_db_get_database_type():ZBX_DB_UNKNOWN
    16170:20150929:151950.663 cannot use database “zabbix”: database is not a Zabbix database

    Saberia me informar algo?

Deixe uma resposta para José Cancelar resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *